Bug 1686514 - Full Host ISO generated with 0 byte size init ram disk with on demand download policy kickstart repository
Summary: Full Host ISO generated with 0 byte size init ram disk with on demand downloa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootdisk Plugin
Version: 6.3.5
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 15:44 UTC by Michal Dekan
Modified: 2019-10-22 12:47 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_bootdisk-15.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25992 'Normal' 'Closed' 'Full host disk does not generate from Katello source' 2019-11-11 11:14:34 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Michal Dekan 2019-03-07 15:44:54 UTC
Description of problem:

Full Host ISO generated with 1 byte size init ram disk with on demand download policy kickstart repository


Version-Release number of selected component (if applicable):

Satellite 6.3.5

How reproducible:

100%

Steps to Reproduce:
1. Sync RHEL 7.6 Server Kicstart repository with on demand download policy
2. Generate Full Host ISO image
3. Check content of the generated ISO image

Actual results:

$ tree
.
├── boot
│   ├── dhat76_7_6_x86_64_initrd_img
│   └── redhat76_7_6_x86_64_vmlinuz
├── boot.cat
├── isolinux.bin
└── isolinux.cfg

1 directory, 5 files

$ ll boot
total 0
-r-xr-xr-x. 1 root root 0 Feb  4 16:09 dhat76_7_6_x86_64_initrd_img
-r-xr-xr-x. 1 root root 0 Feb  4 16:09 redhat76_7_6_x86_64_vmlinuz
$ 


Expected results:

vmlinuz and initrd.img generated properly on the ISO.

Comment 3 Bryan Kearney 2019-03-08 17:06:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25992 has been resolved.

Comment 5 Lukas Zapletal 2019-03-13 13:59:59 UTC
WORKAROUND: Do not use on-demand policy for kickstart repos if you plan to generate bootdisks for them.

Comment 6 Lukas Zapletal 2019-04-02 13:36:38 UTC
I will say this is also a regression because this previously worked until on-demand policy was introduced in 6.2. However it is too late, we will ship this in Satellite 6.6.

Comment 9 Roman Plevka 2019-09-10 10:56:32 UTC
VERIFIED
on sat6.6.0 snap #19

1. i synced rhel8 kickstart repos with on_demand dl policy
2. i created a record for a rhel8 bare metal host
3. I downloaded full bootdisk image

$ ll -h bm1.khw2.lab.eng.bos.redhat.com_20190910_1835.iso 
-rw-rw-r--. 1 rplevka rplevka 66M Sep 10 12:36 bm1.khw2.lab.eng.bos.redhat.com_20190910_1835.iso

Comment 11 errata-xmlrpc 2019-10-22 12:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.